#
# elocation.py
#
# Copyright (c) 2005 - 2007 Nokia Corporation
# Copyright (c) 2007 Christophe Berger, LIP6 <christophe.berger@lip6.fr>
# Copyright (c) 2008 Christophe Berger <chris+pys60@berger.cx>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

import e32

import _elocation

def gsm_location():  
    if e32.s60_version_info>=(3,0):
        ret = _elocation.gsm_location()
        if ret[4]==1: # relevant information ?
            return (int(ret[0]),int(ret[1]),ret[2],ret[3])
        else:
            return None # information returned by _location.gsm_location() not relevant
    else:
        return _elocation.gsm_location()

def extended_gsm_location():
    if e32.s60_version_info>=(3,0):
        ret = _elocation.extended_gsm_location()
        if ret.get('AreaKnown', False) or ret.get('CdmaSID', False):
          return ret
        else:
          return {} # information returned by _elocation.extended_gsm_location() not relevant
    else:
        return _elocation.extended_gsm_location()

def get_registration_status():
	return _elocation.get_registration_status()

def get_imsi():
	return _elocation.get_imsi()
        
#def get_country():
  #http://en.wikipedia.org/wiki/List_of_mobile_country_codes
  #pass
